%
%  EXT_LATEX_HDR.INC     extractor include file for LATEX command setup
%


% must replace "\endliteral" with "\end{verbatim}\normalsize" 
% in filter program !!

%also, sub  \argnam   back in for \arg   and add {}
%	and \intnam   back in for \int   and add {}
%  add back in   \extractstart
%		 \extractstop
%		 \argtxt
%		 \inttxt

%  other stuff the extractor process must do first:
%	substitute for these			these
%		&				\&
%		$				\$
%		%				\%
%		#				\#
%		_				\_
%		{				\{
%		}				\}
%		
%		~				\verb@~@
%		^				\verb@^@
%		\				\verb@\@

%  outside of all extractions - put in by process
%\documentstyle[11pt,twoside]{extract}
%\documentstyle[11pt]{extract}
\documentstyle[11pt]{article}

\setlength{\topmargin}{-.5in}
\addtolength{\textheight}{1in}

\addtolength{\textwidth}{1in}

\newlength{\myleftmargin}
\setlength{\myleftmargin}{\leftmargin}
\addtolength{\myleftmargin}{.6in}
%\setlength{\myleftmargin}{2.5\leftmargin}
\newlength{\mylabelsep}
\setlength{\mylabelsep}{2.0\labelsep}
\newlength{\mylabelwidth}
\setlength{\mylabelwidth}{\myleftmargin\advance\mylabelwidth-\mylabelsep}
\def\parameterlabel#1{\hspace\labelsep \bf #1}
\def\parameter{\list{}{\labelwidth\mylabelwidth %\itemindent-\myleftmargin
\leftmargin\myleftmargin
\let\makelabel\parameterlabel}}
\let\endparameter\endlist

\newcommand{\extractstart}{}		%no function needed here
\newcommand{\subnam}[1]{\begin{description}
			 \item[{#1}]
			 {~~}	%no actual description text
				%blank line follows to start paragraph

				}
\newcommand{\subcal}{\begin{verse}}
\newcommand{\subtxt}{\end{verse}	%blank line follows to start paragraph

				     }
\newcommand{\literal}{\small \begin{verbatim}}
% must replace "\endliteral" with "\end{verbatim}\normalsize" in filter program !!
%\newcommand{\endliteral}{\end{verbatim}}
\newcommand{\arglist}{\pagebreak[0]
			\begin{parameter}	%blank line

					}
\newcommand{\argn}[1]{\hbadness=10000 \tolerance=10000 \item[{#1}]}
\newcommand{\argtxt}{\hbadness=1000 \tolerance=200}
\newcommand{\arglend}{\end{parameter}}
\newcommand{\extractstop}{\end{description}
			  \pagebreak[3]
			  \bigskip
			  \bigskip	%blank line follows to start paragraph

				     }


\newcommand{\intlist}{\begin{parameter}}
\newcommand{\intn}[1]{\hbadness=10000 \tolerance=10000 \item[{#1}]}
\newcommand{\inttxt}{\hbadness=1000 \tolerance=200}
\newcommand{\intlend}{\end{parameter}}


\begin{document}

%    \end{document}    must be included at end of file too

